%global _empty_manifest_terminate_build 0
Name:           perl-HTTP-Tinyish
Version:        0.18
Release:        1
Summary:        HTTP::Tiny compatible HTTP client wrappers
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTTP-Tinyish/
Source0:        http://www.cpan.org/authors/id/M/MI/MIYAGAWA/HTTP-Tinyish-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008001
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(HTTP::Tiny) >= 0.055
BuildRequires:  perl(JSON::PP)
BuildRequires:  perl(parent)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
HTTP::Tinyish is a wrapper module for HTTP client modules LWP, HTTP::Tiny
and HTTP client software curl and wget.

%package help
Summary : HTTP::Tiny compatible HTTP client wrappers
Provides: perl-HTTP-Tinyish-doc

%description help
HTTP::Tinyish is a wrapper module for HTTP client modules LWP, HTTP::Tiny
and HTTP client software curl and wget.

%prep
%setup -q -n HTTP-Tinyish-%{version}

%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes cpanfile dist.ini LICENSE META.json README
%{perl_vendorlib}/*

%files help
%{_mandir}/*

%changelog
* Tue Feb 06 2024 woody2918 <wudi1@uniontech.com> - 0.18-1
- Update version to 0.18
- Support max_redirect

* Wed Jul 21 2021 wangqing <wangqing@uniontech.com> - 0.17-1
- Package init
